| Bsoft 2.0.5 Bernard's software package

Macros | Functions
rwTGA.h File Reference

Header file for reading and writing Truevision TGA files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Macros
#define | TGASIZE 18

## Functions
struct | __attribute__ ((packed)) TGAhead
int | readTGA (Bimage *p, int readdata)
| Reading a Truevision TGA image file format. More...
int | writeTGA (Bimage *p)
| Writing a Truevision TGA map image file format. More...

## Detailed Description

Header file for reading and writing Truevision TGA files.

Author
  Bernard Heymann

Date
  Created: 20150811
  Modified: 20150815

      Format: Truevision image file format

Definition in file rwTGA.h.

## Macro Definition Documentation

## ◆ TGASIZE

#define TGASIZE 18

Definition at line 13 of file rwTGA.h.

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

Definition at line 15 of file rwTGA.h.

## ◆ readTGA()

int readTGA | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a Truevision TGA image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A color image format. Header size: 18 bytes (fixed). File format extensions: .tga The identifier is ???. Byte order: Little endian. Data types: 1 = byte, 2 = float, 3 = complex float 4 = 3-value vector, 5 = view

Definition at line 134 of file rwTGA.cpp.

## ◆ writeTGA()

int writeTGA | ( | Bimage * | p | ) |

Writing a Truevision TGA map image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 266 of file rwTGA.cpp.